@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

:root{
    --primary: #4ea1ff;
    --dark: #1b1b1b;
    --text: #666;
    --light: #f4f7fb;
    --white: #fff;
    --card: #e9eef2;
    --icon-bg:#f3f6f9;

    --clock-bg: #111111;
    --border-color: #ffffff;
    --number-color: #ffffff;
    --hour-color: #ffffff;
    --minute-color: #dddddd;
    --second-color: #ffffff;

}

.ticker-wrapper-h{
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
    border: 1px solid var(--primary);
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
    font-family: 'Roboto', sans-serif;
    background: #fff;
}

/* ================= LABEL INFO ================= */
.heading-ticker{
    background: var(--primary);
    color: var(--white);
    padding: 6px 18px;
    font-weight: 600;
    position: relative;
    z-index: 100;
    margin-left: 0px;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

.heading-ticker:after{
    content: "";
	position: absolute;
	top: 0;
	border-left: 20px solid var(--primary);
	border-top: 17px solid transparent;
	border-bottom: 15px solid transparent;
}

/* ================= CONTAINER ================= */
.ticker-container{
    overflow: hidden;
    flex: 1;
    position: relative;
}

/* Fade kiri kanan */
.ticker-container::before,
.ticker-container::after{
    content:"";
    position:absolute;
    top:0;
    z-index:2;
}

.ticker-container::before{
    left:0;
    
}

.ticker-container::after{
    right:0;
    background:var(--primary);
}

/* ================= TRACK ================= */
.ticker-track{
    display:flex;
    width:max-content;
    animation:tickerMove 55s linear infinite;
    font-weight: 500;
}



/* ================= CONTENT ================= */
.ticker-content{
    display:flex;
    align-items:center;
    white-space:nowrap;
}

.ticker-content span{
    padding:0 25px;
    color:#333;
    font-size:14px;
    font-weight: bold;
}

.gambar-separator{
    width:28px;
    height:28px;
    margin-right:0px;
}

/* ================= JAM ================= */
.heading-right{
    background: var(--primary);
    color: var(--white);
    padding:8px 15px;
    font-weight:600;
    position:absolute;
    right:0;
    border-top-left-radius:6px;
    border-bottom-left-radius:6px;
    z-index:3;
}

/* ================= ANIMATION ================= */
@keyframes tickerMove{
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); }
}



/* ================= WAKTU SHOLAT ================= */
/* CONTAINER PANEL */

.panel-container{
    display:flex;
    gap:15px;
    overflow-x:auto;
    padding:20px 5px;
    scroll-snap-type:x mandatory;
}

/* sembunyikan scrollbar */
.panel-container::-webkit-scrollbar{
    display:none;
}

/* PANEL */

.panel-sholat{
    background:linear-gradient(135deg,#134e5e,#71b280);
    backdrop-filter:blur(10px);
    border-radius:8px;
    padding:12px;
    text-align:center;
    transition:0.3s;
    border:1px solid rgba(0,0,0,0.05);
    font-size:16px;
    color:var(--text);
    min-width:110px;
    flex-shrink:0;
    scroll-snap-align:center;
}

/* ICON */
.judul-sholat
{
    position:absolute;
    left:0;
    top:0;
    color:var(--dark);
    font-size: 25px;
    padding:10px 15px;
    justify-content: center;
    align-items: center;
    text-align:centre;
    display: flex;
    flex-direction: column;
    width: 100%;
    line-height: 1.8;
}
.panel-icon img{
    width:40px;
    height:40px;
    margin-bottom:6px;
}

/* NAMA SHOLAT */

.panel-name{
    font-weight:bold;
    font-size:15px;
    margin-bottom:5px;
    color:#fff;
}

/* BOX JAM */

.panel-time-box{
    width:100%;
    height:38px;
    background:#4ea1ff;
    display:flex;
    align-items:center;
    justify-content:center;
    border-radius:6px;
    font-size:16px;
    font-weight:bold;
    color:#fff;
    box-shadow:0 5px 15px rgba(0,0,0,0.3);
}

/* ACTIVE SHOLAT */

.active-salat{
    background:linear-gradient(135deg,#ec0404,#ff4e22c4);
}

.active-salat .panel-time-box{
    background:#18b902;
}



/* HEADER */
.waktu
{
    display: flex;
    align-items: center;
    
}
.tanggal-wrapper{
    
    gap:5px;
    font-size:15px;
    font-weight:500;
}

.waktu span
{
    color: var(--text);
    font-size: 17px;
    line-height: 1.8;
    font-weight: 600;
}

.pemisah{
    color:var(--dark);
}

/* INFO SHOLAT */
.container-sholat
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.info-sholat{
    background:#2563eb;
    padding:8px;
    border-radius:8px;
    color:white;
    text-align:center;
}

/* COUNTDOWN */
.hitungan-mundur
{
    width: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
    color: var(--text);
    font-weight: 600;
}

.countdown-box{
    text-align:center;
    font-size:18px;
    font-weight:bold;
    color:var(--text);
    margin-top:2px;
    position:absolute;
    top:0;
    right:0;
    padding-right:8px;
}

/* ====================== */
/* TABLET */
/* ====================== */

@media (max-width:992px){

.panel-container{
    grid-template-columns: repeat(3,1fr);
}

}

/* ====================== */
/* MOBILE */
/* ====================== */

@media (max-width:600px){

.panel-container{
    grid-template-columns: repeat(2,1fr);
    gap:15px;
}

.panel-icon img{
    width:32px;
    height:32px;
}

.panel-name{
    font-size:13px;
}

.panel-time-box{
    height:34px;
    font-size:14px;
}

@media (min-width:768px){

.panel-container{
    justify-content:center;
    overflow-x:visible;
}

.panel-sholat{
    min-width:120px;
}

}

.countdown-box{
    font-size:14px;
    position:static;
    margin-bottom:10px;
}

}






/*** TABEL DATA WARGA ***/

.table-container{
    width: 100%;
    background: #ffffff;
    padding: 0px;    
}

.service-scroll
{
    max-height: 250px;   /* Atur tinggi panel */
    overflow-y: auto;    /* Aktifkan scroll vertikal */
    overflow-x: hidden;  /* Hilangkan scroll horizontal */
    padding-right: 8px;  /* Biar tidak mepet scrollbar */
}

.service-scroll::-webkit-scrollbar
{
     width: 8px;
}

.service-scroll::-webkit-scrollbar-track
{
    background: #f1f1f1;
    border-radius: 10px;
}

.service-scroll::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: 10px;
}

/* Table */
table{
    width: 100%;
    border-collapse: collapse;
    overflow: hidden;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    box-shadow: 0 0 0 1px #e5e7eb;
}

/* Header */
thead{
    color: white;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: var(--primary);
    border-bottom: 2px solid var(--dark);
    
}

th{
    width: 100%;
    padding: 10px;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.table-container th img
{
    width: 33px;
    height: 33px;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
/* Body */
td{
    padding: 12px;
    text-align: center;
    font-size: 12px;
    color: #555;
}

/* Zebra effect */
tbody tr:nth-child(even){
    background: var(--card);
       
}

tbody tr:hover{
    /*background-color: #e2e6f5;*/
    transition: 0.3s;
}

/* Border */
td, th{
    border-bottom: 1px solid #e3e6f0;
    font-size: 12px;
    color: var(--text);
    text-transform: uppercase;
    font-weight: 500;
    width: 75px;
}

.data-angka td
{
    font-size: 15px;
    color: var(--primary);
    font-weight: 600;
}





/*=== JAM ANALOG ===*/
.clock {
   width: 200px;
    height: 200px;
    border-radius: 50%;
    position: relative;
    background:
        linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)),
        url('../Img/lembang.jpg');
    background-size: cover;
    background-position: center;
    border: 8px solid transparent;

    background-clip: padding-box;
    box-shadow: 0 0 0 4px;
}

/* Angka */
.number {
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: center;
    font-size: 13px;
    font-weight: 600;
    color: var(--white);
    pointer-events: none;
}

/* Jarum */
.hand {
    position: absolute;
    bottom: 50%;
    left: 50%;
    transform-origin: bottom;
    transform: translateX(-50%) rotate(0deg);
    border-radius: 10px;
}

.hour {
    width: 5px;
    height: 35px;
    background: var(--hour-color);
}

.minute {
    width: 4px;
    height: 55px;
    background: var(--minute-color);
}

.second {
    width: 2px;
    height: 69px;
    background: red;
}

.center-dot {
    position: absolute;
    width: 9px;
    height: 9px;
    background: var(--primary);
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}


/* Type Writer */
.typewriter {
    font-size: 48px;
    font-weight: bold;
    color: #ffffff;
    text-align: center;
    letter-spacing: 3px;
    margin-top: 20px;
}

.cursor {
    display: inline-block;
    color: #00ffcc;
    animation: blink 0.7s infinite;
}

@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

/* PANEL */
.pindah{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 12px;
    padding: 10px;
    flex-wrap: wrap; /* supaya responsive */
    width: 100%;
}

.card{
    width: 75px;
    height: 75px;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    color: var(--dark);
    text-align: center;
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
    transition: 0.3s ease;
}

.card h3{
    font-size: 11px;
    margin-bottom: 5px;
}

.card span{
    font-size: 24px;
    font-weight: bold;
}

.card:hover{
    transform: scale(1.08);
    box-shadow: 0 0 0 5px #e5e7eb;
}



/* PAGINATION BACA BERITA*/
.pagination{

display:flex;
justify-content:center;
margin-top:40px;
gap:8px;

}

.pagination a:empty {
    display: none;
}


.pagination a{

padding:8px 14px;
background: linear-gradient(45deg, #00f2ff, #0066ff);
border-radius:50%;
text-decoration:none;
color:var(--white);
font-size:14px;
border:1px solid #ddd;

}

.pagination a:hover{

box-shadow: 0 0 20px rgba(0,242,255,0.8);
    transform: scale(1.05);
    color: var(--white);

}

.pagination a.active{

background: red;
color:var(--white);
border-color:var(--minute-color);

}

/* CCTV */
.head-cctv
{
    display: flex;
    justify-content: center;
    align-items: center;

}

.head-cctv img
{
    width: 500px;
    height: 500px;
    margin-top: 10px;
}

/* POTENSI*/
.potensi-section
{
    display: flex;
    align-items: center;
    width: 100%;
    padding: 60px;
}

.potensi-section h3
{
    align-items: center;
    text-align: center;
    font-size: 40px;
    font-weight: 600;
}



.info-sholat{
    width:100%;
    padding:18px 25px;
    border-radius:10px;
    text-align:center;
    color:white;
    font-weight:600;
    letter-spacing:1px;

    background:linear-gradient(135deg,#0f7a5c,#0a4d3b);

    position:relative;
    overflow:hidden;
}

/* Kubah masjid */
.mosque-bg{
    position:absolute;
    bottom:0;
    left:0;
    width:100%;
    height:120px;
}

.mosque-bg svg{
    width:100%;
    height:100%;
}

.mosque-bg path{
    fill:rgba(255,255,255,0.08);
}

.info-sholat h3{
    margin:0;
    font-size:16px;
    position:relative;
    z-index:2;
}

#currentPrayer{
    color:#ffd700;
    font-weight:bold;
}


